jvx.geom

## Class PwRivaraBisection

- java.lang.Object
- - jv.object.PsObject
  - - jvx.geom.PwRivaraBisection

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, PsUpdateIf

      public class PwRivaraBisection
      extends PsObject

  Rivara bisection algorithm on triangulated surfaces. This class adaptively refines a marked subset of the triangles of a triangulation.

  A cache mechanism is added to the element, vertex, and neighbour array. Each array has now a used size and a maximal size. Each time when the used size is greater than the maximal size the array is increased by caNewSize entries.

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class jv.object.PsObject

      `HAS_BOUNDARY_PANEL, HAS_CONFIG_PANEL, HAS_INFO_PANEL, HAS_LABEL_PANEL, HAS_MATERIAL_PANEL, HAS_TEXTURE_PANEL, HAS_VECTOR_PANEL, INSPECTOR_INFO, INSPECTOR_INFO_EXT, IS_DELETED, IS_FIXED, IS_FOCUSSED, IS_PICKED, IS_SELECTED, IS_USED, NUM_TAGS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PwRivaraBisection()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `rivaraRefinement(PgElementSet geom, int[] refineElements)` Invokes the Rivara refinement process on the set of marked triangles.

    - ### Methods inherited from class jv.object.PsObject

      `addInspector, addUpdateListener, assureInspector, clearTag, clone, clone, clone, copy, getFather, getInfoPanel, getInspector, getName, getNumObjects, getSymbol, hasInspector, hasTag, hasUpdateListener, init, instanceOf, instanceOf, newInspector, newInspector, removeInspector, removeInspector, removeUpdateListener, setName, setParent, setSymbol, setTag, toString, update, updatePanels`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PwRivaraBisection

          public PwRivaraBisection()

  - ### Method Detail

    - #### rivaraRefinement

          public boolean rivaraRefinement(PgElementSet geom,
                                 int[] refineElements)

      Invokes the Rivara refinement process on the set of marked triangles.
      Parameters:
        `refineElements` - an array which holds the indices of the elements that have to be refined
      Returns:
        false if geometry is empty or not a triangulation.

"

The software JavaView? is copyright protected. All Rights Reserved.
"